Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class SyncStateClient

    java.lang.Object
      ix.ip2.SyncState
          ix.ip2.SyncStateClient

All Implemented Interfaces:
  IXAgentExtension

    public class SyncStateClient

extends SyncState
implements IXAgentExtension

Nested Class Summary
`protected class` | `SyncStateClient.ChangeMessage`
`protected class` | `SyncStateClient.DeleteMessage`
`protected class` | `SyncStateClient.ProcessListener`
`protected class` | `SyncStateClient.ResetHook`
`protected class` | `SyncStateClient.StartupHook`
`class` | `SyncStateClient.SyncStateClientHandler`

Nested classes/interfaces inherited from class ix.ip2.SyncState
`SyncState.AbstractClientOperation, SyncState.AbstractServerOperation, SyncState.ClientOperation, SyncState.ClientStateChange, SyncState.ClientStateDeletion, SyncState.ClientStateDelta, SyncState.Operation, SyncState.RegisterClient, SyncState.ServerFullState, SyncState.ServerOperation, SyncState.ServerStateChange, SyncState.ServerStateDeletion, SyncState.ServerStateDelta, SyncState.SyncStateHandler`

Field Summary
`protected java.lang.String` | `clientName`
`protected boolean` | `doingUpdateFromServer`
`(package private) StateViewer` | `processListener`
`protected java.lang.String` | `serverName`

Fields inherited from class ix.ip2.SyncState
`ip2, mm, optMan, SYNCHRONIZE_STATE`

Constructor Summary
`SyncStateClient(Ip2 ip2)`

Method Summary
`void` | `handle(SyncState.ServerFullState change)`
`void` | `handle(SyncState.ServerStateChange change)`
`void` | `handle(SyncState.ServerStateDeletion deletion)`
`protected void` | `handleOperation(SyncState.ClientOperation op)`
`protected void` | `handleServerStateChange(ix.icore.domain.ListOfPatternAssignment delta)`
`protected void` | `handleServerStateDeletion(ix.icore.domain.ListOfPatternAssignment delta)`
`void` | `installExtension()`

Methods inherited from class ix.ip2.SyncState
`deletionUtility, makeSyncStateActivity, send`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverName

    protected java.lang.String serverName

### clientName

    protected java.lang.String clientName

### processListener

    StateViewer processListener

### doingUpdateFromServer

    protected boolean doingUpdateFromServer

Constructor Detail

### SyncStateClient

    public SyncStateClient(Ip2 ip2)

Method Detail

### installExtension

    public void installExtension()

  Specified by:
    `installExtension` in interface `IXAgentExtension`

### handleOperation

    protected void handleOperation(SyncState.ClientOperation op)

### handle

    public void handle(SyncState.ServerStateChange change)

### handleServerStateChange

    protected void handleServerStateChange(ix.icore.domain.ListOfPatternAssignment delta)

### handle

    public void handle(SyncState.ServerFullState change)

### handle

    public void handle(SyncState.ServerStateDeletion deletion)

### handleServerStateDeletion

    protected void handleServerStateDeletion(ix.icore.domain.ListOfPatternAssignment delta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD